Update wallet payment profile
curl --request PATCH \
--url https://api.consumer.younegotiate.com/bill-pay-wallet/payment-profiles/{paymentProfile} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Jane",
"last_name": "Consumer",
"address": "123 Main St",
"city": "Austin",
"state": "TX",
"zip": "73301",
"basis_theory_response": {
"id": "token_intent_card",
"type": "card"
}
}
'import requests
url = "https://api.consumer.younegotiate.com/bill-pay-wallet/payment-profiles/{paymentProfile}"
payload = {
"first_name": "Jane",
"last_name": "Consumer",
"address": "123 Main St",
"city": "Austin",
"state": "TX",
"zip": "73301",
"basis_theory_response": {
"id": "token_intent_card",
"type": "card"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Jane',
last_name: 'Consumer',
address: '123 Main St',
city: 'Austin',
state: 'TX',
zip: '73301',
basis_theory_response: {id: 'token_intent_card', type: 'card'}
})
};
fetch('https://api.consumer.younegotiate.com/bill-pay-wallet/payment-profiles/{paymentProfile}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"payment_profile": {
"id": 123,
"method_label": "Card",
"label": "Card ending in 4242",
"last_four_digit": "<string>",
"account_number_last_four": "<string>",
"expiration_month": "<string>",
"expiration_year": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"is_saved_for_future_use": true
},
"saveable_payment_methods": {
"cc": true,
"ach": true
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"code": "profile_incomplete",
"message": "Please complete your communication profile before viewing accounts.",
"required_steps": [
"profile_communication"
]
}{
"message": "<string>",
"errors": {}
}Update wallet payment profile
Replace an existing saved Bill Pay Wallet profile with a new Basis Theory tokenized card or ACH profile. The old Basis Theory token is deleted after the profile is updated.
PATCH
/
bill-pay-wallet
/
payment-profiles
/
{paymentProfile}
Update wallet payment profile
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Payment profile ID returned by the Bill Pay Wallet.
Body
application/json
Maximum string length:
255Example:
"Jane"
Maximum string length:
255Example:
"Consumer"
Maximum string length:
255Example:
"123 Main St"
Maximum string length:
255Example:
"Austin"
Example:
"TX"
Pattern:
^\d{5}(-\d{4})?$Example:
"73301"
Available options:
cc, ach, null Basis Theory token intent payload generated by the frontend tokenization flow. The backend verifies this id and converts it to a token when the profile must be reusable.
Show child attributes
Show child attributes
Required when method is ach.
Available options:
checking, savings, null Last modified on July 19, 2026
Was this page helpful?
⌘I

